# stl_vector.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file stl_vector.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _VECTOR_H

## Functions

- template<typename _Tp, typename _Alloc> bool operator!= (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> bool operator< (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> bool operator<= (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> bool operator== (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> bool operator> (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> bool operator>= (const vector< _Tp, _Alloc > &__x, const vector< _Tp, _Alloc > &__y)
- template<typename _Tp, typename _Alloc> void swap (vector< _Tp, _Alloc > &__x, vector< _Tp, _Alloc > &__y)

## Function Documentation

bool std::operator!= | ( | const vector< _Tp, _Alloc > & | __x,
|  | const vector< _Tp, _Alloc > & | __y
| ) | `[inline]`

| Based on operator==. Definition at line 952 of file stl_vector.h.

bool std::operator< | ( | const vector< _Tp, _Alloc > & | __x,
|  | const vector< _Tp, _Alloc > & | __y
| ) | `[inline]`

Vector ordering relation.

Parameters:

  | x | A vector.
  | y | A vector of the same type as x.

Returns:
  True iff x is lexicographically less than y.

This is a total ordering relation. It is linear in the size of the vectors. The elements must be comparable with `<`.

See std::lexicographical_compare() for how the determination is made.

Definition at line 945 of file stl_vector.h.

References std::lexicographical_compare().

bool std::operator<= | ( | const vector< _Tp, _Alloc > & | __x,
|  | const vector< _Tp, _Alloc > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 964 of file stl_vector.h.

bool std::operator== | ( | const vector< _Tp, _Alloc > & | __x,
|  | const vector< _Tp, _Alloc > & | __y
| ) | `[inline]`

Vector equality comparison.

Parameters:

  | x | A vector.
  | y | A vector of the same type as x.

Returns:
  True iff the size and elements of the vectors are equal.

This is an equivalence relation. It is linear in the size of the vectors. Vectors are considered equivalent if their sizes are equal, and if corresponding elements compare equal.

Definition at line 928 of file stl_vector.h.

References vector::begin(), vector::end(), std::equal(), and vector::size().

bool std::operator> | ( | const vector< _Tp, _Alloc > & | __x,
|  | const vector< _Tp, _Alloc > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 958 of file stl_vector.h.

bool std::operator>= | ( | const vector< _Tp, _Alloc > & | __x,
|  | const vector< _Tp, _Alloc > & | __y
| ) | `[inline]`

| Based on operator<. Definition at line 970 of file stl_vector.h.

void std::swap | ( | vector< _Tp, _Alloc > & | __x,
|  | vector< _Tp, _Alloc > & | __y
| ) | `[inline]`

| See std::vector::swap(). Definition at line 976 of file stl_vector.h. References vector::swap().